Skip to content
GET /unified/e-signature/workflows

Partial response — use the "get" endpoint for the full object.

Query Parameters

Refer Specifying query parameters in Truto APIs

template_idstring

The unique identifier of the template.

2 supported
Ironclad
supported
LinkSquares
supported
statusstring

The status of the workflow.

Possible values:
activecancelledcompleteddrafthiddeninactivepaused
3 supported
Ironclad
supported
activecompletedcancelledpaused
Adobe Acrobat Sign
supported
SpotDraft
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Workflows

created_atstring · date-time

The date and time when the workflow was created.

4 supported
Adobe Acrobat Sign
supported
Ironclad
supported
LinkSquares
supported
SpotDraft
supported
created_byobject

The user who created the workflow.

4 supported
Adobe Acrobat Sign
supported
Ironclad
supported
LinkSquares
supported
SpotDraft
supported
2 properties
idstring

The unique identifier of the user.

namestring

The name of the user.

custom_fieldsRecord<string, any>

All the custom fields present on the workflow

1 supported
Ironclad
supported
descriptionstring

The description of the workflow.

1 supported
Adobe Acrobat Sign
supported
idstring

The unique identifier of the workflow.

4 supported
Adobe Acrobat Sign
supported
Ironclad
supported
LinkSquares
supported
SpotDraft
supported
namestring

The name of the workflow.

4 supported
Adobe Acrobat Sign
supported
Ironclad
supported
LinkSquares
supported
SpotDraft
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

stageobject

The stage of the workflow.

2 supported
Ironclad
supported
LinkSquares
supported
2 properties
idstring

The unique identifier of the stage.

namestring

The name of the stage.

statusstring

The status of the workflow.

Possible values:
activeinactivedrafthidden
3 supported
Adobe Acrobat Sign
supported
Ironclad
supported
SpotDraft
supported
typestring

The type of the workflow.

4 supported
Adobe Acrobat Sign
supported
Ironclad
supported
LinkSquares
supported
SpotDraft
supported
updated_atstring · date-time

The date and time when the workflow was last updated.

2 supported
Adobe Acrobat Sign
supported
Ironclad
supported
urlsobject[]

The workflow's urls

2 supported
Ironclad
supported
SpotDraft
supported
2 properties
typestring

The workflow's URL type

urlstring

The workflow's URL

curl -X GET 'https://api.truto.one/unified/e-signature/workflows?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/e-signature/workflows?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/e-signature/workflows"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'e-signature',
  'workflows',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "e-signature",
        "workflows",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())